Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.parser
Class UpdateType

    java.lang.Object
      com.sun.mdm.index.parser.UpdateType

public class UpdateType
extends java.lang.Object

Nested Class Summary
`(package private) class` | `UpdateType.CandidateField`
`(package private) class` | `UpdateType.SurvivorHelperConfig`
`(package private) class` | `UpdateType.SurvivorStrategy`
`(package private) class` | `UpdateType.UpdateManagerConfig`
`(package private) class` | `UpdateType.WeightedCalculator`

Constructor Summary
`UpdateType()`

Method Summary
`(package private) UpdateType.CandidateField` | `getCandidateFieldByName(java.lang.String fieldName)`
`java.util.ArrayList` | `getSourceSystems()`
`(package private) java.lang.String` | `getUpdateManagerConfigXMLString()`
`(package private) java.lang.String` | `getWeightedCalculatorXMLString(UpdateType.WeightedCalculator weightedCalculator)`
`java.lang.String` | `getXMLString(java.util.ArrayList alCandidateFieldsPerObject)` return XML String for this UpdateType
`boolean` | `isModified()`
`(package private) void` | `parse(org.w3c.dom.Node node)` parse
`(package private) void` | `parseCandidateDefinitions(org.w3c.dom.Node node)`
`(package private) void` | `parseCandidateField(org.w3c.dom.Node node)`
`(package private) void` | `parseSurvivorHelperConfig(org.w3c.dom.Node node)`
`(package private) void` | `parseSurvivorStrategy(org.w3c.dom.Node node, UpdateType.SurvivorStrategy survivorStrategy)`
`(package private) void` | `parseUpdateManagerConfig(org.w3c.dom.Node node)`
`(package private) void` | `parseWeightedCalculator(org.w3c.dom.Node node)`
`boolean` | `removeReferencedField(java.lang.String fieldNamePath)`
`void` | `setModified(boolean flag)`
`void` | `setSourceSystems(java.util.ArrayList alSourceSystems)` Called by Application Editor when Source Systems changed
`boolean` | `updateReferencedField(java.lang.String oldName, java.lang.String newName, java.lang.String oldNodeNameUpdateSub, java.lang.String newNodeNameUpdateSub)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpdateType

    public UpdateType()

Method Detail

### getCandidateFieldByName

    UpdateType.CandidateField getCandidateFieldByName(java.lang.String fieldName)

### getSourceSystems

    public java.util.ArrayList getSourceSystems()

  Returns:
    ArrayList alSourceSystems

### getUpdateManagerConfigXMLString

    java.lang.String getUpdateManagerConfigXMLString()

### getWeightedCalculatorXMLString

    java.lang.String getWeightedCalculatorXMLString(UpdateType.WeightedCalculator weightedCalculator)

### getXMLString

    public java.lang.String getXMLString(java.util.ArrayList alCandidateFieldsPerObject)

  return XML String for this UpdateType

### isModified

    public boolean isModified()

  Returns:
    boolean flag

### parse

    void parse(org.w3c.dom.Node node)

  parse

  Parameters:
    `node` - Node

### parseCandidateDefinitions

    void parseCandidateDefinitions(org.w3c.dom.Node node)

### parseCandidateField

    void parseCandidateField(org.w3c.dom.Node node)

### parseSurvivorHelperConfig

    void parseSurvivorHelperConfig(org.w3c.dom.Node node)

### parseSurvivorStrategy

    void parseSurvivorStrategy(org.w3c.dom.Node node,
                               UpdateType.SurvivorStrategy survivorStrategy)

### parseUpdateManagerConfig

    void parseUpdateManagerConfig(org.w3c.dom.Node node)

### parseWeightedCalculator

    void parseWeightedCalculator(org.w3c.dom.Node node)

### removeReferencedField

    public boolean removeReferencedField(java.lang.String fieldNamePath)

### setModified

    public void setModified(boolean flag)

### setSourceSystems

    public void setSourceSystems(java.util.ArrayList alSourceSystems)

  Called by Application Editor when Source Systems changed

### updateReferencedField

    public boolean updateReferencedField(java.lang.String oldName,
                                         java.lang.String newName,
                                         java.lang.String oldNodeNameUpdateSub,
                                         java.lang.String newNodeNameUpdateSub)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.